---
title: Get all inbox rules
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Security Monitoring
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get all inbox rules{% #get-all-inbox-rules %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in Preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                      |
| ----------------- | --------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/security/findings/automation/inbox_rules |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/security/findings/automation/inbox_rules |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/security/findings/automation/inbox_rules      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/security/findings/automation/inbox_rules      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/security/findings/automation/inbox_rules  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/security/findings/automation/inbox_rules |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/security/findings/automation/inbox_rules     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/security/findings/automation/inbox_rules |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/security/findings/automation/inbox_rules |

### Overview

Get all inbox rules for the current organization. This endpoint requires the `security_pipelines_read` permission.

### Arguments

#### Query Strings

| Name         | Type    | Description                                    |
| ------------ | ------- | ---------------------------------------------- |
| page[size]   | integer | The number of rules per page. Maximum is 1000. |
| page[number] | integer | The page number to return.                     |

### Response

{% tab title="200" %}
Successfully retrieved the list of inbox rules
{% tab title="Model" %}
A list of inbox rules with pagination metadata.

| Parent field | Field                                  | Type     | Description                                                                                                                                                                                                                                                                                  |
| ------------ | -------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]                 | [object] | A list of inbox rule data objects.                                                                                                                                                                                                                                                           |
| data         | attributes [*required*]           | object   | Attributes of an inbox rule returned by the API.                                                                                                                                                                                                                                             |
| attributes   | action [*required*]               | object   | The action to take when the inbox rule matches a finding.                                                                                                                                                                                                                                    |
| action       | description                            | string   | An optional description providing more context for the rule.                                                                                                                                                                                                                                 |
| attributes   | created_at [*required*]           | int64    | The Unix timestamp in milliseconds when the rule was created.                                                                                                                                                                                                                                |
| attributes   | created_by [*required*]           | object   | The user or Datadog system who created the rule.                                                                                                                                                                                                                                             |
| created_by   | id [*required*]                   | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                 |
| created_by   | name [*required*]                 | string   | The name of the actor.                                                                                                                                                                                                                                                                       |
| created_by   | type [*required*]                 | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                        |
| attributes   | enabled [*required*]              | boolean  | Whether the inbox rule is enabled.                                                                                                                                                                                                                                                           |
| attributes   | modified_at [*required*]          | int64    | The Unix timestamp in milliseconds when the rule was last modified.                                                                                                                                                                                                                          |
| attributes   | modified_by [*required*]          | object   | The user or Datadog system who last modified the rule.                                                                                                                                                                                                                                       |
| modified_by  | id [*required*]                   | string   | The actor's identifier (a user UUID or a system identifier).                                                                                                                                                                                                                                 |
| modified_by  | name [*required*]                 | string   | The name of the actor.                                                                                                                                                                                                                                                                       |
| modified_by  | type [*required*]                 | enum     | Whether the actor is a user or the Datadog system. Allowed enum values: `user,system`                                                                                                                                                                                                        |
| attributes   | name [*required*]                 | string   | The name of the inbox rule.                                                                                                                                                                                                                                                                  |
| attributes   | rule [*required*]                 | object   | Defines the scope of findings to which the automation rule applies.                                                                                                                                                                                                                          |
| rule         | finding_types [*required*]        | [string] | The list of security finding types that the automation rule applies to.                                                                                                                                                                                                                      |
| rule         | query                                  | string   | A search query to further filter the findings matched by this rule. The `@workflow.*` namespace and `@status` fields are not permitted. For a reference of available fields, see the [Security Findings schema documentation](https://docs.datadoghq.com/security/guide/findings-schema.md). |
| data         | id [*required*]                   | uuid     | The ID of the inbox rule.                                                                                                                                                                                                                                                                    |
| data         | type [*required*]                 | enum     | The JSON:API type for inbox rules. Allowed enum values: `inbox_rules`                                                                                                                                                                                                                        |
|              | links [*required*]                | object   | Pagination links for the list of automation rules.                                                                                                                                                                                                                                           |
| links        | first [*required*]                | string   | Link to the first page of results.                                                                                                                                                                                                                                                           |
| links        | last [*required*]                 | string   | Link to the last page of results.                                                                                                                                                                                                                                                            |
| links        | next                                   | string   | Link to the next page of results.                                                                                                                                                                                                                                                            |
| links        | prev                                   | string   | Link to the previous page of results.                                                                                                                                                                                                                                                        |
|              | meta [*required*]                 | object   | Metadata for the list of automation rules.                                                                                                                                                                                                                                                   |
| meta         | page [*required*]                 | object   | Pagination information for the list of automation rules.                                                                                                                                                                                                                                     |
| page         | total_filtered_count [*required*] | int64    | The total number of rules matching the current filter.                                                                                                                                                                                                                                       |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "action": {
          "description": "Needs triage"
        },
        "created_at": 1722439510282,
        "created_by": {
          "id": "00000000-0000-0000-0000-000000000000",
          "name": "Jane Doe",
          "type": "user"
        },
        "enabled": true,
        "modified_at": 1722439510282,
        "modified_by": {
          "id": "00000000-0000-0000-0000-000000000000",
          "name": "Jane Doe",
          "type": "user"
        },
        "name": "Triage production misconfigurations",
        "rule": {
          "finding_types": [
            "misconfiguration"
          ],
          "query": "env:prod team:platform"
        }
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "type": "inbox_rules"
    }
  ],
  "links": {
    "first": "/api/v2/security/findings/automation/mute_rules?page[size]=10\u0026page[number]=0",
    "last": "/api/v2/security/findings/automation/mute_rules?page[size]=10\u0026page[number]=5",
    "next": "/api/v2/security/findings/automation/mute_rules?page[size]=10\u0026page[number]=2",
    "prev": "/api/v2/security/findings/automation/mute_rules?page[size]=10\u0026page[number]=0"
  },
  "meta": {
    "page": {
      "total_filtered_count": 42
    }
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/security/findings/automation/inbox_rules" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
